AS10K1(1)

NAME
as10k1 - assembler for the emu10k1(emu10k2) DSP

SYNOPSIS

as10k1 [option...] asmfile

DESCRIPTION

This manual page documents briefly the as10k1 command.

This manual page was written for the Debian distribution because the original program does not have a manual page. Instead, it has documentation in the GNUInfo format; see below.

as10k1 is an assembler for the emu10k1(emu10k2) DSP processor found in Creative Lab's Sound Blaster Live!, Audigy and Audigy 2 series of sound cards. It is used to make audio effects such as a flanger, chorus or reverb.

OPTIONS

-l listfile
    Specify a listing file, default is none.

-o emu10k1 file
    Specify an output file, default is based on input, Substituting .asm to .emu10k1

-d dbg_options
    Turn on debug messages.

    s   prints all symbols

    g   prints defined gprs

    t   prints tram usage

    t   prints instructions

-h  Prints a short help message.

-v  Prints version number.

SEE ALSO

lo10k1(1), ld10k1(8), dl10k1(8).

AUTHOR

This manual page was written by Mikael Magnusson <mikma@users.sourceforge.net> for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.